

/* this ALWAYS GENERATED file contains the IIDs and CLSIDs */

/* link this file in with the server and any clients */


 /* File created by MIDL compiler version 8.01.0622 */
/* at Tue Jan 19 10:14:07 2038
 */
/* Compiler settings for ..\..\..\..\..\Drawing\ActiveX\OdaX\OdaX.idl:
    Oicf, W1, Zp8, env=Win64 (32b run), target_arch=AMD64 8.01.0622 
    protocol : all , ms_ext, c_ext, robust
    error checks: allocation ref bounds_check enum stub_data 
    VC __declspec() decoration level: 
         __declspec(uuid()), __declspec(selectany), __declspec(novtable)
         DECLSPEC_UUID(), MIDL_INTERFACE()
*/
/* @@MIDL_FILE_HEADING(  ) */



#ifdef __cplusplus
extern "C"{
#endif 


#include <rpc.h>
#include <rpcndr.h>

#ifdef _MIDL_USE_GUIDDEF_

#ifndef INITGUID
#define INITGUID
#include <guiddef.h>
#undef INITGUID
#else
#include <guiddef.h>
#endif

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        DEFINE_GUID(name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8)

#else // !_MIDL_USE_GUIDDEF_

#ifndef __IID_DEFINED__
#define __IID_DEFINED__

typedef struct _IID
{
    unsigned long x;
    unsigned short s1;
    unsigned short s2;
    unsigned char  c[8];
} IID;

#endif // __IID_DEFINED__

#ifndef CLSID_DEFINED
#define CLSID_DEFINED
typedef IID CLSID;
#endif // CLSID_DEFINED

#define MIDL_DEFINE_GUID(type,name,l,w1,w2,b1,b2,b3,b4,b5,b6,b7,b8) \
        EXTERN_C __declspec(selectany) const type name = {l,w1,w2,{b1,b2,b3,b4,b5,b6,b7,b8}}

#endif // !_MIDL_USE_GUIDDEF_

MIDL_DEFINE_GUID(IID, LIBID_OdaX,0xB51C79A0,0xB8BC,0x4904,0x81,0x25,0x1A,0xCB,0xE8,0xB5,0x5D,0x46);


MIDL_DEFINE_GUID(IID, IID_IAcadObject,0x153A7BFD,0xAB55,0x48D4,0x81,0xC7,0x22,0x25,0x2D,0x63,0x5E,0xCE);


MIDL_DEFINE_GUID(IID, IID_IAcadDatabase,0x236374B2,0xE248,0x484D,0x91,0xD4,0xC1,0x3F,0xA7,0x26,0x64,0x5D);


MIDL_DEFINE_GUID(IID, IID_IAcadBlock,0xA1F2F50A,0xDEC5,0x4d37,0xB6,0x2D,0x39,0x34,0x91,0xDA,0xCB,0x2E);


MIDL_DEFINE_GUID(IID, IID_IAcadModelSpace,0xECE694AB,0x7306,0x4687,0xAD,0x03,0xC7,0x01,0x7A,0xE8,0xDE,0xD1);


MIDL_DEFINE_GUID(IID, IID_IAcadEntity,0xFFE64704,0xCEBD,0x4C88,0xA8,0x67,0xE7,0xC8,0x21,0xAF,0xE4,0x88);


MIDL_DEFINE_GUID(IID, IID_IAcadAcCmColor,0x6F2B458D,0x6232,0x4085,0xAA,0x60,0xBD,0x5E,0x8A,0x96,0x77,0x22);


MIDL_DEFINE_GUID(IID, IID_IAcadHyperlinks,0xBBC2B22B,0xAE20,0x47B7,0x98,0xAC,0xA7,0x51,0x14,0xC6,0x2C,0xF9);


MIDL_DEFINE_GUID(IID, IID_IAcadHyperlink,0xCFC06944,0x7FD0,0x432E,0xA4,0x30,0xB7,0x7F,0x29,0x67,0xEB,0x4C);


MIDL_DEFINE_GUID(IID, IID_IAcad3DFace,0x7FBB52D0,0x2190,0x4A17,0x9A,0x16,0xCB,0x37,0x82,0x12,0x93,0xB5);


MIDL_DEFINE_GUID(IID, IID_IAcadPolygonMesh,0xCA0C9AB2,0x0AC7,0x47C1,0x98,0x77,0xFB,0xCD,0xCA,0x68,0xF4,0x03);


MIDL_DEFINE_GUID(IID, IID_IAcad3DPolyline,0xE82F96B5,0xBA0E,0x4569,0xBD,0x8A,0x59,0x64,0x95,0x94,0x7C,0x12);


MIDL_DEFINE_GUID(IID, IID_IAcadArc,0x426D2F0F,0x4A34,0x44D9,0x82,0xD4,0x37,0xE1,0xA5,0x56,0x05,0xD2);


MIDL_DEFINE_GUID(IID, IID_IAcadAttribute,0xE6A50EDF,0xA944,0x4172,0x8B,0x2B,0x73,0x7E,0xC0,0x47,0xAD,0x0F);


MIDL_DEFINE_GUID(IID, IID_IAcad3DSolid,0x34C7D347,0xD220,0x40C8,0xA8,0x1F,0x4B,0x76,0xED,0x6E,0x57,0x51);


MIDL_DEFINE_GUID(IID, IID_IAcadRegion,0xD9F13162,0x0CFA,0x4506,0xAA,0xAD,0xD4,0x67,0x24,0x40,0x78,0x77);


MIDL_DEFINE_GUID(IID, IID_IAcadCircle,0xE23D2B17,0x487F,0x4016,0xA5,0xD4,0x6C,0x27,0x64,0x3F,0x30,0x8F);


MIDL_DEFINE_GUID(IID, IID_IAcadDimension,0x91BBC3D7,0xF48C,0x4703,0x88,0x67,0x0F,0x02,0x5F,0x95,0xDD,0x56);


MIDL_DEFINE_GUID(IID, IID_IAcadDimAligned,0x9E7FFD46,0xF51C,0x44ce,0x9C,0x06,0x01,0xEF,0xE9,0x4B,0x7E,0x04);


MIDL_DEFINE_GUID(IID, IID_IAcadDimAngular,0x559F6310,0x4DB2,0x4b61,0x8B,0x4C,0x96,0xD8,0x90,0x06,0x71,0x1B);


MIDL_DEFINE_GUID(IID, IID_IAcadDimDiametric,0x0FB4DC41,0xB309,0x41c8,0xB5,0xE7,0x23,0xB2,0x84,0xC9,0x84,0x50);


MIDL_DEFINE_GUID(IID, IID_IAcadDimRotated,0xA7BDFAD9,0xF3EA,0x4b81,0xB0,0x3F,0x24,0xFA,0x2B,0xFF,0xA3,0x2B);


MIDL_DEFINE_GUID(IID, IID_IAcadDimOrdinate,0x5A31D60B,0x3F6D,0x45c2,0x8A,0x55,0x9C,0xC7,0x06,0x26,0xD2,0x0D);


MIDL_DEFINE_GUID(IID, IID_IAcadDimRadial,0x0F29A519,0xB989,0x4e81,0xB4,0x1F,0x33,0x46,0xF3,0xBE,0x65,0xCE);


MIDL_DEFINE_GUID(IID, IID_IAcadEllipse,0x5B4B058E,0xB8AA,0x4C76,0xB6,0x52,0x76,0xAF,0x10,0x1C,0x38,0x0F);


MIDL_DEFINE_GUID(IID, IID_IAcadLeader,0xA7072E19,0x38E6,0x4320,0x90,0x45,0xB6,0x7E,0x53,0x17,0x96,0x43);


MIDL_DEFINE_GUID(IID, IID_IAcadMText,0x21E0293A,0x4AAE,0x4049,0x87,0xD3,0x33,0x6F,0x8F,0x4D,0x2D,0x45);


MIDL_DEFINE_GUID(IID, IID_IAcadPoint,0xC0CA40EE,0x60A1,0x4E76,0xAA,0xEF,0x80,0x1E,0x2C,0xCC,0x97,0xA1);


MIDL_DEFINE_GUID(IID, IID_IAcadLWPolyline,0x037572DF,0x0207,0x4B27,0xBC,0xDA,0xC1,0x63,0x05,0x4A,0x21,0xDF);


MIDL_DEFINE_GUID(IID, IID_IAcadPolyline,0x8C60FDCD,0x785A,0x40EA,0x92,0xFE,0x6D,0xC1,0xDA,0xC2,0x9E,0x7B);


MIDL_DEFINE_GUID(IID, IID_IAcadRay,0xC888FAF5,0xE377,0x4624,0xA8,0xE2,0x89,0x80,0x31,0xAB,0x58,0xBB);


MIDL_DEFINE_GUID(IID, IID_IAcadShape,0x24F52F8C,0x7BC3,0x41CC,0x93,0xE7,0xAD,0xC6,0xA0,0xF7,0x5A,0x83);


MIDL_DEFINE_GUID(IID, IID_IAcadSolid,0xA2F8C6B2,0xC9D6,0x4A48,0x9B,0x9D,0x8C,0xA3,0xE6,0x04,0x16,0x6C);


MIDL_DEFINE_GUID(IID, IID_IAcadSpline,0xB05C2404,0x6A45,0x4A57,0x80,0x75,0xF9,0x84,0x64,0xC3,0x50,0xBE);


MIDL_DEFINE_GUID(IID, IID_IAcadText,0x9CD7E38D,0x0003,0x410D,0xB6,0xDF,0xDE,0x36,0xFD,0x19,0x08,0x50);


MIDL_DEFINE_GUID(IID, IID_IAcadTolerance,0xC7ECDEAB,0x7E7A,0x40DE,0x90,0xD4,0x7D,0x00,0x9D,0x03,0x26,0x6D);


MIDL_DEFINE_GUID(IID, IID_IAcadTrace,0x128CC5FA,0xD347,0x4DCF,0xB0,0xEA,0x57,0x4B,0xAD,0xC9,0x46,0x1A);


MIDL_DEFINE_GUID(IID, IID_IAcadXline,0x703DF76F,0x5C64,0x414A,0xB2,0x71,0x45,0x20,0xE1,0x24,0x43,0x53);


MIDL_DEFINE_GUID(IID, IID_IAcadBlockReference,0xA40DEA37,0x8356,0x415A,0xB3,0xAC,0xE0,0x87,0x81,0x9C,0x63,0x01);


MIDL_DEFINE_GUID(IID, IID_IAcadHatch,0x173ED161,0x3D64,0x4EF5,0x85,0xF4,0x6A,0xAC,0xA8,0x3C,0xD3,0x82);


MIDL_DEFINE_GUID(IID, IID_IAcadLine,0x34257E2A,0x6A0C,0x4DEF,0xA7,0x40,0x65,0x45,0x5A,0xC0,0x5B,0x1D);


MIDL_DEFINE_GUID(IID, IID_IAcadPlotConfiguration,0x3648ECB5,0xD174,0x4212,0x8D,0x3F,0x27,0x3D,0xB1,0x2C,0x4E,0xAC);


MIDL_DEFINE_GUID(IID, IID_IAcadLayout,0x50D89DB1,0xE146,0x428F,0x92,0xBD,0x87,0xF4,0xEB,0x9A,0x46,0xB4);


MIDL_DEFINE_GUID(IID, IID_IAcadMInsertBlock,0xA6653F5A,0x001E,0x4125,0x8B,0xB0,0x59,0x7E,0x96,0xCD,0xE4,0x98);


MIDL_DEFINE_GUID(IID, IID_IAcadPolyfaceMesh,0x5BBFB818,0x58E4,0x466A,0xBC,0xBF,0x27,0xCF,0x88,0xE2,0xFE,0x08);


MIDL_DEFINE_GUID(IID, IID_IAcadMLine,0xC35F5577,0x83CE,0x43C7,0xB1,0x0E,0xAF,0xEF,0x9E,0x34,0x57,0x39);


MIDL_DEFINE_GUID(IID, IID_IAcadDim3PointAngular,0xB0E595FE,0x21A5,0x4c67,0xA9,0x16,0x46,0x89,0xAB,0xA3,0x7E,0x62);


MIDL_DEFINE_GUID(IID, IID_IAcadExternalReference,0xCD8AF174,0x69E8,0x4044,0x84,0x1A,0x7C,0xDC,0x34,0xFE,0x43,0xBF);


MIDL_DEFINE_GUID(IID, IID_IAcadPaperSpace,0x39377F68,0x1F53,0x4433,0x90,0xAE,0x05,0x52,0x6F,0xEA,0x4F,0xE5);


MIDL_DEFINE_GUID(IID, IID_IAcadPViewport,0x894A0DA6,0xC91F,0x458c,0xAC,0x86,0x7F,0xED,0xBF,0x35,0xCD,0x30);


MIDL_DEFINE_GUID(IID, IID_IAcadBlocks,0x98F7CE82,0x8E41,0x4D58,0xA7,0x84,0x30,0xB3,0xF3,0x3F,0x78,0x53);


MIDL_DEFINE_GUID(IID, IID_IAcadGroups,0x973585F9,0xD300,0x4BA7,0x9D,0x0F,0x6E,0xE5,0x95,0x33,0xA0,0xDC);


MIDL_DEFINE_GUID(IID, IID_IAcadGroup,0x5AF2F067,0xC79B,0x4C61,0xB0,0xEF,0x95,0x0C,0x44,0x99,0x0D,0xAA);


MIDL_DEFINE_GUID(IID, IID_IAcadDimStyles,0xDAB1760C,0x8402,0x4520,0xAD,0x32,0x93,0x96,0xAE,0xF1,0xC6,0x77);


MIDL_DEFINE_GUID(IID, IID_IAcadDimStyle,0xF1E716A4,0xFBC3,0x4893,0xA8,0xC4,0x5E,0x59,0xA5,0x37,0xD7,0xCE);


MIDL_DEFINE_GUID(IID, IID_IAcadLayers,0xEA5AF871,0xE4B9,0x4903,0x95,0x09,0xDF,0x62,0x2C,0x0D,0xC6,0xE7);


MIDL_DEFINE_GUID(IID, IID_IAcadLayer,0xA5484251,0xD4DF,0x4F32,0xA2,0x3F,0x44,0x58,0x82,0xF4,0x8F,0x1B);


MIDL_DEFINE_GUID(IID, IID_IAcadLineTypes,0x669E518F,0x46F5,0x4E21,0x84,0x47,0x7F,0x8D,0x14,0x35,0xAE,0x94);


MIDL_DEFINE_GUID(IID, IID_IAcadLineType,0x908A55EF,0x9ED0,0x4A36,0xBD,0x47,0xAD,0x08,0x18,0xAF,0x93,0x17);


MIDL_DEFINE_GUID(IID, IID_IAcadDictionaries,0xB6D57083,0x036D,0x48AB,0x8B,0xF4,0x09,0x02,0xB5,0xC8,0x8B,0xFF);


MIDL_DEFINE_GUID(IID, IID_IAcadDictionary,0x542B5C1D,0x3280,0x4154,0xB3,0xC6,0xB9,0xD5,0x5E,0x9A,0x15,0x3B);


MIDL_DEFINE_GUID(IID, IID_IAcadXRecord,0x30EDB9F1,0x6E3A,0x4428,0x9D,0xA5,0xBF,0xCD,0xFE,0xF0,0x7D,0x75);


MIDL_DEFINE_GUID(IID, IID_IAcadRegisteredApplications,0xAD2DE5AD,0x7787,0x4890,0xA8,0x18,0xBF,0x9E,0x0B,0x1D,0x4F,0x43);


MIDL_DEFINE_GUID(IID, IID_IAcadRegisteredApplication,0xCEE7E95F,0x2FDC,0x4E74,0xB8,0x7C,0x94,0x43,0xB5,0xEC,0x02,0x9D);


MIDL_DEFINE_GUID(IID, IID_IAcadTextStyles,0x2D0D8EA6,0x992A,0x4CF8,0x96,0x6F,0x3D,0xE3,0x9A,0x3B,0xF2,0x2F);


MIDL_DEFINE_GUID(IID, IID_IAcadTextStyle,0xEE473D68,0xC42F,0x4A9D,0x83,0x93,0xC3,0x97,0x5C,0x17,0xBC,0x4A);


MIDL_DEFINE_GUID(IID, IID_IAcadUCSs,0xB07B7A4C,0xA7D7,0x4116,0xBD,0x27,0xD4,0x60,0x30,0xFD,0xFE,0x1B);


MIDL_DEFINE_GUID(IID, IID_IAcadUCS,0xF5F78A02,0x09C6,0x49EB,0x81,0x2A,0x04,0xB5,0xAC,0xC4,0x6F,0x71);


MIDL_DEFINE_GUID(IID, IID_IAcadViews,0xE1673534,0x4417,0x4D0A,0x95,0xFB,0x6E,0x02,0x24,0x60,0x96,0xD6);


MIDL_DEFINE_GUID(IID, IID_IAcadView,0x13AC5968,0x504B,0x4C8D,0xBE,0xD6,0x20,0x8B,0x3A,0x56,0x2D,0x90);


MIDL_DEFINE_GUID(IID, IID_IAcadViewports,0x181E70E5,0xA50B,0x46DA,0x93,0xEE,0xBC,0xC0,0x68,0xBF,0xEB,0xEC);


MIDL_DEFINE_GUID(IID, IID_IAcadViewport,0xA9B1F951,0x1AA7,0x4C23,0x8D,0x57,0xAA,0x19,0x98,0x03,0xD3,0x81);


MIDL_DEFINE_GUID(IID, IID_IAcadLayouts,0x88CC8ED5,0x7AEF,0x459A,0xBE,0x86,0x45,0xC7,0xAF,0xD8,0xEA,0xE8);


MIDL_DEFINE_GUID(IID, IID_IAcadPlotConfigurations,0x38436519,0xBF47,0x4848,0xB6,0xB2,0xCB,0x69,0x44,0xF1,0x67,0xD3);


MIDL_DEFINE_GUID(IID, IID_IAcadDatabasePreferences,0x41A5D923,0x4AB8,0x48DD,0xB2,0x4D,0xFB,0xAF,0xE9,0x4B,0xA6,0x83);


MIDL_DEFINE_GUID(IID, IID_IAcadFileDependencies,0xDA84BC48,0xA8C9,0x45CC,0xB0,0x42,0x07,0xB8,0xC9,0x5C,0xD0,0xE4);


MIDL_DEFINE_GUID(IID, IID_IAcadFileDependency,0xAB7F29F6,0x3436,0x434F,0x8F,0x92,0x9D,0x3C,0x1E,0xD2,0xD3,0xDF);


MIDL_DEFINE_GUID(IID, IID_IAcadSummaryInfo,0x95D1CD9E,0x63E7,0x4860,0x9B,0xE2,0x8F,0x68,0x40,0x47,0xE1,0x02);


MIDL_DEFINE_GUID(IID, IID_IAcadIdPair,0x1033C7F9,0x2D77,0x449D,0x8E,0xA2,0xBD,0x61,0xDA,0x1C,0x9B,0xCB);


MIDL_DEFINE_GUID(IID, IID_IAcadAttributeReference,0x090EF3DE,0xE74D,0x44c0,0x8B,0x8B,0x89,0xD0,0xA7,0x9F,0xBE,0x52);


MIDL_DEFINE_GUID(IID, IID_IAcadObjectEvents,0x5195F20D,0x9F99,0x43C4,0x9A,0x6A,0x19,0x83,0x55,0xA9,0x20,0xED);


MIDL_DEFINE_GUID(IID, IID_IAcadRasterImage,0x1334DA0A,0xAFF4,0x4E2A,0x85,0x40,0x53,0x13,0xAA,0x8A,0x47,0xE4);


MIDL_DEFINE_GUID(IID, IID_IAcadSortentsTable,0x04C4F44E,0x99B7,0x490B,0x88,0x23,0xF6,0x8E,0xD4,0x5A,0x48,0x7B);


MIDL_DEFINE_GUID(IID, IID_IAcadTableStyle,0x65AFF703,0x323D,0x4562,0xB2,0x35,0xCC,0x43,0x96,0x6A,0x79,0x22);


MIDL_DEFINE_GUID(IID, IID_IAcadOle,0x5A90AA1A,0x8525,0x49B7,0x9F,0x44,0x62,0xE6,0xA9,0x58,0xDE,0x82);


MIDL_DEFINE_GUID(IID, IID_IAcadTable,0x62AE6596,0x74E9,0x4fc1,0x9F,0x31,0xCB,0x95,0x67,0xE5,0x50,0xF9);


MIDL_DEFINE_GUID(IID, IID_IAcadDynamicBlockReferenceProperty,0x671D7077,0x2C99,0x4D21,0xA5,0xD3,0xA5,0x00,0x1F,0x1B,0x8F,0x12);


MIDL_DEFINE_GUID(IID, IID_IAcadDimRadialLarge,0xF2B4D571,0xC206,0x4e19,0xB1,0xC0,0x55,0xC9,0x5B,0xED,0x66,0x9C);


MIDL_DEFINE_GUID(IID, IID_IAcadDimArcLength,0x2E0ED9F5,0x20D4,0x45d5,0x92,0x41,0x93,0xE3,0xB1,0xBF,0x56,0xD3);


MIDL_DEFINE_GUID(IID, IID_IAcadSection,0x3BF84F02,0xEA6E,0x4B36,0x87,0xD7,0xF9,0x07,0x0D,0xDA,0x96,0x57);


MIDL_DEFINE_GUID(IID, IID_IAcadSectionSettings,0xBD245AB1,0xA6D8,0x4F1F,0x9D,0x6E,0xED,0x76,0xAB,0x36,0x15,0xF9);


MIDL_DEFINE_GUID(IID, IID_IAcadSectionTypeSettings,0x2F52131D,0x45D6,0x4302,0x99,0x3D,0xAD,0xA4,0x13,0x44,0x3F,0xD7);


MIDL_DEFINE_GUID(IID, IID_IAcadSurface,0xDB31BDE0,0x6DD6,0x4FDF,0xA2,0x89,0x21,0x4E,0xEA,0x6C,0x00,0x72);


MIDL_DEFINE_GUID(IID, IID_IAcadPlaneSurface,0xFFCCA3F9,0x8BB7,0x4693,0xB7,0xF7,0x07,0xEF,0xDF,0x4D,0xE8,0xA9);


MIDL_DEFINE_GUID(IID, IID_IAcadExtrudedSurface,0x91D470C0,0xCAB6,0x49F8,0xB1,0x3B,0x83,0xD5,0x35,0x27,0x93,0x3A);


MIDL_DEFINE_GUID(IID, IID_IAcadRevolvedSurface,0x2AA6DCC2,0xC242,0x49CB,0xA5,0x76,0x54,0x5E,0x4F,0x50,0x07,0x22);


MIDL_DEFINE_GUID(IID, IID_IAcadSweptSurface,0xA1E46554,0xB62E,0x4CEB,0xA9,0xB8,0x8C,0x9B,0xC7,0xE8,0x25,0x2D);


MIDL_DEFINE_GUID(IID, IID_IAcadLoftedSurface,0x9A580AC7,0xFD1D,0x4D94,0xA6,0x68,0xB0,0x07,0x45,0xFD,0xB1,0x53);


MIDL_DEFINE_GUID(IID, IID_IAcadHelix,0x7480DD11,0xB890,0x41B3,0xBD,0x1A,0x56,0x2D,0x51,0x90,0xDD,0xC2);


MIDL_DEFINE_GUID(IID, IID_IAcadSectionManager,0x47495992,0x2633,0x4FA4,0x8B,0x0F,0x21,0x3F,0x0C,0x2D,0x20,0xA5);


MIDL_DEFINE_GUID(IID, IID_IAcadMaterials,0x6B7DDA98,0xB483,0x40F8,0x90,0x5C,0x2D,0xF1,0x0E,0x93,0x60,0x21);


MIDL_DEFINE_GUID(IID, IID_IAcadMaterial,0x4D24EA66,0xA2B3,0x4129,0x83,0x67,0x81,0xD9,0x3B,0x44,0xBE,0x07);


MIDL_DEFINE_GUID(IID, IID_IAcadUnderlay,0xD076BB70,0x1090,0x4438,0x99,0x22,0x3F,0xD9,0x1B,0xA4,0xBB,0x4A);


MIDL_DEFINE_GUID(IID, IID_IAcadMLeader,0xA2F0013E,0xACE4,0x41c5,0x90,0x15,0x37,0x58,0x76,0x63,0xDD,0x30);


MIDL_DEFINE_GUID(IID, IID_IAcadMLeaderStyle,0x9E7B3D0B,0x36F8,0x444E,0x89,0xA7,0x32,0x4B,0x3E,0x87,0x7B,0xDC);


MIDL_DEFINE_GUID(IID, IID_IAcadSubEntity,0x70991FC5,0xF814,0x45a8,0xBB,0x15,0xBC,0x70,0x3A,0xB5,0xBF,0x63);


MIDL_DEFINE_GUID(IID, IID_IAcadMLeaderLeader,0xD0AC8EBF,0x1F76,0x43ef,0x97,0x48,0xD7,0xEE,0x52,0xAA,0xBE,0x25);


MIDL_DEFINE_GUID(IID, IID_IAcadDwfUnderlay,0xA095BF5E,0xB1A5,0x413f,0xA6,0xEA,0x6E,0x05,0x7C,0x63,0xCA,0x59);


MIDL_DEFINE_GUID(IID, IID_IAcadSubEntSolidFace,0x9D76FD22,0xF78B,0x40b5,0x94,0xA3,0xB8,0xC0,0xAB,0x17,0xA1,0xE2);


MIDL_DEFINE_GUID(IID, IID_IAcadSubEntSolidEdge,0xEA82FD79,0x6DE0,0x445e,0xAB,0xFB,0x54,0x1E,0x52,0xC9,0x1B,0xB5);


MIDL_DEFINE_GUID(IID, IID_IAcadSubEntSolidVertex,0x45CF6C7D,0x7191,0x420a,0x98,0x81,0x09,0x04,0x2D,0xD6,0x18,0xED);


MIDL_DEFINE_GUID(IID, IID_IAcadWipeout,0x977345B6,0xA313,0x4f2e,0xA4,0xEE,0x1C,0x2B,0xB3,0xC2,0xFE,0x0E);


MIDL_DEFINE_GUID(IID, IID_IOdaLineType,0xA3D0151B,0xA26A,0x4803,0xBF,0x89,0x37,0xC5,0x25,0xD0,0x58,0xEE);


MIDL_DEFINE_GUID(IID, IID_IOdaBlock,0xD288082B,0xEC5B,0x4B26,0xA9,0x83,0x3A,0xAD,0x6F,0x98,0x0D,0x6C);


MIDL_DEFINE_GUID(IID, IID_IOdaMLineStyles,0xEAB07C99,0xABCA,0x4880,0x9B,0x1C,0x4F,0xD1,0x3F,0xC3,0xDE,0x3A);


MIDL_DEFINE_GUID(IID, IID_IOdaMLineStyle,0x3A1DC1C0,0xD49D,0x4DC6,0xA9,0x44,0xA1,0x58,0x22,0x7B,0xFF,0x03);


MIDL_DEFINE_GUID(IID, IID_IOdaRasterImage,0xD2F02FB4,0x2990,0x4D58,0x80,0xDC,0x9B,0x75,0x6F,0xC3,0x6F,0xD0);


MIDL_DEFINE_GUID(IID, IID_IOdaOle,0x39614E96,0xFFD9,0x42EA,0x99,0xF0,0xFD,0x7D,0xC4,0x98,0xD9,0xB6);


MIDL_DEFINE_GUID(IID, IID_IOdaLight,0x7BB45F85,0x7771,0x4B5C,0x9D,0x8E,0xEA,0x0E,0x79,0x22,0x84,0x61);


MIDL_DEFINE_GUID(IID, IID_IOdaCamera,0x416400A5,0x8C83,0x49A6,0x9E,0xD3,0xEF,0xF0,0x32,0x2F,0xCF,0xA9);


MIDL_DEFINE_GUID(IID, IID_IOPMPropertyExpander,0xE3CD32AF,0x3A8F,0x49D9,0x9D,0xC5,0x52,0x7E,0x91,0x31,0x89,0x93);


MIDL_DEFINE_GUID(IID, IID_IOPMPropertyExtension,0x9850E632,0x7168,0x452B,0xA2,0x62,0xFC,0x3D,0xCB,0x31,0x38,0x51);


MIDL_DEFINE_GUID(IID, IID_IOdaSpline,0x4EE8DF6D,0x534E,0x4819,0x87,0xAE,0x51,0xFA,0x44,0x8B,0xCD,0x6A);


MIDL_DEFINE_GUID(IID, IID_IAcadHatch2,0x8CF4A451,0xA8A4,0x40C1,0x9E,0xCC,0x26,0xEF,0x09,0x70,0x42,0xD6);


MIDL_DEFINE_GUID(IID, IID_IAcadSectionTypeSettings2,0x5EB52F66,0x908B,0x48c5,0x87,0xD9,0x01,0x80,0xE8,0x1B,0xF6,0x4F);


MIDL_DEFINE_GUID(IID, IID_IOdaPolyfaceMesh,0x88F4A330,0x80BA,0x4593,0x97,0x5B,0xBB,0x2A,0xCD,0xC4,0xE4,0x65);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLine,0x8E00E70A,0xEF69,0x4929,0x88,0x92,0x60,0xD3,0x1F,0xAD,0xD4,0x43);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadObject,0x5A79814F,0x1F7E,0x434F,0x8E,0x5F,0x7A,0x38,0x0B,0xAA,0xB1,0x55);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadEntity,0x89668A51,0x7C39,0x4EBB,0x9D,0x00,0x79,0x12,0x2B,0x88,0x40,0x5F);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimension,0x57EE7695,0xCEBA,0x480C,0x9D,0xE9,0x7F,0x86,0xDF,0x40,0x1F,0xB9);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimRotated,0xC3C64D2C,0x1DA7,0x45D8,0xA4,0x32,0x8A,0xBA,0xAC,0x21,0x4A,0x94);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMText,0x61FDB170,0x48E7,0x4604,0xA6,0xFA,0xB1,0x75,0xFE,0xDD,0xC4,0xC6);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDatabase,0xFA7EDE02,0xD4B5,0x4E05,0x87,0x24,0xC9,0x57,0x66,0x95,0xD0,0xB1);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadViewport,0x7A652B22,0x25F4,0x43F2,0xB8,0xAF,0x00,0xAC,0x80,0xBD,0x4C,0xB0);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadViewports,0x1732F594,0xA128,0x4D6D,0x80,0x6F,0x29,0xBC,0x47,0xF0,0x08,0xC7);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadText,0x587D8B3F,0x8F84,0x4E7A,0xBB,0x90,0x95,0x10,0xBA,0xD1,0x88,0xBE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTrace,0xA58A854F,0x699D,0x4386,0xB1,0xAB,0x47,0x6B,0x03,0x65,0xF3,0xC6);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPolyline,0xE34C5576,0x77D1,0x4A7F,0xA7,0xA2,0x4D,0x7E,0x83,0xF9,0x0D,0x7E);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLineTypes,0xF4C62EA0,0x606B,0x4F25,0xBC,0xC9,0x21,0x6E,0x5A,0x2F,0xE0,0xD5);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaLineType,0xEA3B9F61,0x324E,0x400D,0xAE,0x44,0x90,0x71,0x5C,0xD2,0xF2,0x2B);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadBlocks,0x022EA1E8,0x348E,0x4396,0x9C,0x51,0xF0,0x91,0x25,0x36,0x35,0x3B);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaBlock,0xE142CCA3,0x4834,0x417D,0xB2,0x2E,0xA8,0xB4,0xC0,0x9E,0x0F,0xE6);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadBlock,0xF792313A,0x14B1,0x4F70,0x81,0x20,0x67,0x27,0x7A,0xE1,0xCB,0xED);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadEllipse,0x24688723,0x0ACE,0x421B,0x93,0xD7,0x40,0xE7,0x8F,0xA9,0x8A,0x6C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadCircle,0xDDE1F605,0x4A33,0x468E,0xB7,0x00,0x05,0xE7,0xAF,0x7B,0xE2,0xD4);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPoint,0xBE9195A9,0x8AB4,0x4623,0x96,0xA4,0x9D,0x69,0x44,0x9F,0x04,0x98);


MIDL_DEFINE_GUID(CLSID, CLSID_Acad3DFace,0xD2E92135,0xEFFD,0x4CCE,0xBA,0x48,0x2B,0x95,0x7C,0x51,0x93,0x92);


MIDL_DEFINE_GUID(CLSID, CLSID_Acad3DPolyline,0xF8CA6B29,0x3F15,0x43F7,0x98,0x7D,0x19,0x53,0x65,0x7D,0xFD,0xC7);


MIDL_DEFINE_GUID(CLSID, CLSID_Acad3DSolid,0x878D11BE,0xB0AD,0x423A,0x84,0x56,0x3F,0x81,0xC8,0xAC,0xA6,0x9B);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadArc,0xDB1E0C53,0xF40F,0x48AA,0x8D,0x95,0x21,0xE9,0xCB,0x88,0xE5,0xAB);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadAttribute,0xC9165116,0x5E3C,0x4BB7,0x84,0x0F,0xF7,0xCF,0xE9,0x6C,0xAD,0xD7);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLeader,0x23CC730E,0xF5E6,0x4624,0x9F,0x0C,0xB9,0xD9,0x5B,0x65,0xAD,0x85);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMLeader,0x8D114C7D,0xBBC3,0x4170,0x92,0x89,0x8E,0x59,0x89,0x2C,0x31,0x6B);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMLeaderStyle,0xD2D4073D,0x8C7D,0x48F2,0xA8,0x8E,0xF4,0x38,0x93,0x9F,0xFE,0x8E);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTolerance,0xEB318E42,0xD623,0x4E5F,0x8B,0x14,0xC9,0x8C,0xB9,0x42,0xA3,0x15);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadBlockReference,0xCDA9F4E3,0x8F98,0x428B,0xBA,0x2B,0xC1,0xF0,0x7F,0xC3,0xE6,0x21);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDim3PointAngular,0x30C79FFA,0xEA9E,0x49FD,0x84,0xFD,0xF1,0xC9,0x8C,0x34,0x30,0x62);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimAligned,0xD50C582F,0x9C2E,0x485D,0xA6,0x58,0x26,0x09,0x3E,0x38,0x6F,0x5C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadShape,0xF6F526A4,0x7A8D,0x477D,0x9A,0xCD,0x0A,0x58,0x65,0x05,0xB0,0x7D);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSolid,0xE63AF168,0x6F58,0x40E8,0x93,0x17,0xAE,0x95,0x73,0x20,0x86,0xEF);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSpline,0x84014563,0xA45F,0x47CD,0x91,0x87,0x9F,0x7D,0x83,0x89,0x72,0x47);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimAngular,0xCD053B02,0x276D,0x48A0,0x94,0xA1,0x26,0x0D,0xED,0x3C,0xDE,0xB1);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimDiametric,0x3BE36277,0x31BA,0x4266,0x85,0xEB,0x0F,0x7C,0x7A,0x8F,0xEC,0x49);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimOrdinate,0x2E6F7FA8,0x0D72,0x4420,0x97,0x93,0x81,0x32,0x7B,0xD2,0xC8,0x59);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimRadial,0x6EDBB865,0x86FA,0x4837,0xA8,0x8B,0x56,0xB0,0x9C,0x0C,0x31,0x96);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimRadialLarge,0xD7598A5C,0x2EB6,0x45B6,0xA8,0xD2,0xC2,0xBD,0x8D,0x81,0x76,0xF1);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimArcLength,0x8044D4F5,0x611B,0x4EF5,0x83,0x21,0x77,0x2C,0x59,0xE5,0xCF,0x16);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadXRecord,0x07D9C518,0xD014,0x425C,0xAC,0xA7,0x8C,0x44,0x9A,0x8F,0x32,0xCB);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadXline,0x3A17A28F,0xBCEF,0x4F36,0x85,0xF0,0xFB,0x28,0x72,0xA5,0x16,0x09);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRay,0xE2481A51,0x761D,0x4037,0xB1,0xC2,0xA6,0x5F,0xC9,0x13,0xB9,0xF4);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimStyle,0xF706EFAC,0xEC3B,0x4346,0xA4,0x01,0x78,0xBD,0x82,0x82,0xAB,0xFA);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadExternalReference,0x36E83FB1,0xC4D2,0x4353,0x94,0xE0,0x47,0xFC,0x48,0x65,0x60,0x8C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMInsertBlock,0x7CA8A928,0x3CEE,0x4931,0xA7,0xF1,0x72,0x46,0x19,0x57,0x07,0x61);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDimStyles,0x8D447103,0x6FD1,0x4650,0xB8,0xFC,0x4C,0xAC,0xB9,0x2F,0x35,0xE6);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadUCS,0xFFDF864C,0xFCB8,0x4A64,0xBB,0x47,0xF8,0x7B,0x87,0x6C,0xED,0x6B);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadUCSs,0x8078BB19,0xC055,0x4578,0x97,0x73,0x6B,0xEE,0x21,0xCF,0x15,0x74);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadView,0x5E65B373,0xBFA4,0x4DDE,0x94,0x0D,0x65,0x44,0x27,0xF3,0x42,0x41);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadViews,0x181E95F9,0xED17,0x4989,0x84,0x17,0x75,0xAC,0xCA,0x91,0x35,0x72);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadGroup,0xDE8A4B42,0x74FE,0x4C9F,0xBB,0x17,0x2F,0xE3,0xD8,0x73,0x8E,0x1D);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadGroups,0x413064F0,0x7919,0x4B4C,0xA1,0x9F,0x1F,0xE4,0x32,0xB6,0x9D,0xB4);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDictionaries,0x62A376DA,0xEA5D,0x4B54,0xAF,0x6E,0xE2,0xC9,0xDE,0xF4,0x4E,0x1F);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDictionary,0xD0A21B80,0xBCBC,0x4F50,0x87,0x32,0x6C,0x9C,0xC9,0x12,0x5E,0xF3);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLayouts,0x5375E09F,0xAA23,0x4CB7,0x90,0x80,0x08,0x1A,0x12,0x1B,0xD9,0x4A);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLayout,0x2B4D2472,0xF70B,0x4B0A,0xA6,0xE8,0x3F,0x21,0xE8,0x86,0x3C,0x86);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTextStyle,0x49B142A4,0x43BA,0x4FF3,0xA5,0x1C,0x5C,0xD7,0x5E,0x13,0xA6,0xAB);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTextStyles,0xBBBAC7DE,0xCF07,0x4F73,0xA0,0x3B,0x16,0x95,0xC1,0xA4,0x98,0xB2);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadHatch,0x4E18C997,0x9B31,0x47E5,0xB5,0xC3,0x5D,0x73,0x66,0x7F,0xD5,0xDE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMLine,0x27F61E62,0x4303,0x4886,0x9D,0xAE,0xC4,0x81,0x84,0x0F,0x9C,0x66);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPolygonMesh,0x567073B1,0x2D60,0x42CD,0x94,0x30,0x64,0xA0,0xCB,0xBB,0x4F,0xDC);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPolyfaceMesh,0x894B9737,0x0520,0x400E,0xAC,0x44,0xB9,0x05,0x29,0x51,0x01,0x17);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPlotConfiguration,0xBDC83FC7,0x8008,0x4E8C,0x90,0xFD,0x49,0x53,0x61,0xA8,0x65,0x5A);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPlotConfigurations,0x8DB5C5E7,0x38C3,0x4711,0x87,0x4C,0x9D,0x47,0x99,0x01,0x1B,0x9E);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaRasterImage,0x32586977,0xAAA7,0x4977,0x99,0xAF,0xF3,0x77,0xA9,0x41,0x92,0x75);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRasterImage,0xEEFA9AB2,0x7F7B,0x454B,0xB5,0xAB,0xD2,0x25,0x28,0xCB,0x77,0x85);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRegion,0x5A253253,0x43E2,0x4345,0x85,0x2A,0x4A,0x0B,0xDF,0x60,0x6D,0x48);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRegisteredApplication,0x2F2F1708,0x8A2C,0x472B,0x99,0xF4,0xE3,0xFA,0x68,0x96,0xC8,0x9B);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRegisteredApplications,0x85733B02,0x3747,0x4013,0xBE,0x11,0x96,0x89,0x9A,0x88,0x1E,0xC2);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPViewport,0xD06BE9A0,0x9CB7,0x4053,0xAB,0x0E,0xB2,0xBC,0x53,0xB1,0xF7,0xBE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDatabasePreferences,0x5E4D2576,0xFB0D,0x443F,0x90,0xC6,0x9E,0x77,0xDC,0x61,0x6D,0x90);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadHyperlink,0x34557F49,0x1EC7,0x4541,0xB4,0xDD,0x02,0x52,0xD9,0x68,0x3E,0xD1);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadHyperlinks,0x6EE3C791,0x04BC,0x4C29,0xAE,0xF3,0x41,0xB1,0x32,0x98,0x23,0x0E);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLayer,0xEA7C40D4,0x62BE,0x412B,0x9E,0xC0,0x19,0x43,0x20,0xAF,0xD5,0xC4);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLayers,0x1CEA698B,0x8500,0x4501,0x9C,0x11,0x93,0xD4,0xAD,0xC9,0x50,0x48);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLWPolyline,0x5F0A0C4A,0x3530,0x4903,0xB0,0xEC,0x80,0x12,0x11,0xE1,0x13,0x6C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPaperSpace,0xB9D24997,0x2BC6,0x4536,0x89,0x65,0x44,0x8A,0x56,0xA4,0xAA,0xC1);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadModelSpace,0x2A7F88F6,0xF5FC,0x44A6,0xA1,0xDA,0xC1,0x36,0x4F,0x6C,0x76,0x65);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadAttributeReference,0x89E29E8A,0x4370,0x4396,0x94,0x9F,0x09,0x6A,0xDD,0x94,0xAB,0x95);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadAcCmColor,0x4C9A8656,0x0A58,0x476F,0x8C,0x9D,0xFC,0xF7,0x2A,0xCC,0x05,0x06);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSummaryInfo,0x0DD6881C,0x38BC,0x49FD,0x82,0xC1,0xD0,0xC3,0xCB,0x7E,0x30,0x8E);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadFileDependencies,0xE556C49E,0x658E,0x4522,0x93,0xA2,0x1D,0x7D,0x47,0xA3,0x54,0x90);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadFileDependency,0x42570210,0x0354,0x42F9,0x8E,0x4D,0xDB,0x53,0xB5,0xA4,0x98,0xA0);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTable,0x46A5C572,0x15B5,0x4F11,0x91,0xCD,0x24,0x54,0x1A,0x2A,0xD2,0xF7);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaOle,0x0F2B9F43,0xB027,0x49C1,0x96,0xB5,0xD7,0x4E,0xB7,0xFA,0x18,0x4A);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadTableStyle,0xD1C128C8,0xD315,0x414F,0xA9,0x1F,0x09,0x68,0xAC,0xA0,0xED,0x10);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSortentsTable,0x5AEA3536,0x27B9,0x4E57,0x94,0xE7,0x2E,0x9C,0x30,0x58,0xA8,0xBA);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaMLineStyles,0x0736CCB7,0xEF47,0x4DE8,0xB6,0x7A,0x43,0x51,0x71,0x35,0x29,0x30);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaMLineStyle,0xFDCF860C,0x3F32,0x4657,0xA9,0x4C,0x58,0x75,0x5D,0xA3,0x9E,0x72);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDynamicBlockReferenceProperty,0x612FC26F,0x86DA,0x4A32,0xAE,0xFA,0xAE,0x5D,0x93,0xDA,0x2A,0xA4);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSection,0xAA2C8F32,0xD73A,0x4252,0xAD,0x93,0x19,0x01,0xB7,0x54,0x64,0x4C);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSurface,0x97366CFF,0xB17E,0x442C,0x94,0xEF,0x95,0x6C,0xD4,0xD4,0xD9,0xBE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadLoftedSurface,0xD026A4D9,0x8F55,0x4991,0xB0,0x40,0x2A,0x17,0xC7,0x58,0x48,0x54);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSweptSurface,0xD9B9E77D,0x9EDD,0x4C77,0x9E,0x9E,0x8C,0x68,0x97,0xCB,0x70,0x76);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadRevolvedSurface,0x28E9D3C6,0x2EB3,0x4B78,0x8B,0x40,0xFA,0x35,0xE1,0xEB,0x44,0x71);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadExtrudedSurface,0xB006F4A1,0x6139,0x463F,0x81,0xA7,0xF4,0x11,0x88,0x3D,0xA0,0xFE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPlaneSurface,0xF359EBBB,0xE808,0x4549,0x96,0xA5,0x6F,0x31,0x2C,0x39,0xD8,0x6D);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadHelix,0x1DC902CA,0xC66C,0x44CE,0xB7,0xCE,0x05,0x9F,0x02,0xD4,0x86,0xFD);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSectionSettings,0x3FDFD740,0xE325,0x4A0E,0xAA,0xA2,0x65,0x81,0x81,0x14,0x51,0x02);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSectionTypeSettings,0x24949B01,0x04BE,0x4672,0x81,0x10,0x49,0x37,0xC3,0x59,0xF5,0xB8);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSectionManager,0x6641A954,0x6A4F,0x4C18,0xBD,0x31,0xB6,0xC5,0x5A,0xB2,0x0C,0xE5);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMaterial,0x8F18C85D,0x9D54,0x4102,0x89,0xFF,0x47,0x7B,0x6C,0xCC,0xD8,0xF7);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMaterials,0x3A708925,0x22F4,0x4386,0xAE,0x75,0x4A,0x49,0x62,0xE4,0x5F,0xFE);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDwfUnderlay,0xF13C8B2A,0x9D01,0x4CBF,0x81,0x6E,0x42,0x18,0xEF,0x07,0x98,0x15);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadDgnUnderlay,0x967BD539,0xC37A,0x4CF1,0xB7,0xB7,0xD3,0x37,0x8C,0x1F,0x4B,0x9A);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadPdfUnderlay,0x0F738F86,0x375A,0x4430,0x9F,0x5F,0x28,0x6D,0x3B,0x54,0x65,0x91);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadMLeaderLeader,0x4F8E2542,0x7F48,0x4A9B,0xBF,0xB9,0x8B,0xD0,0xF6,0x10,0x02,0x85);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSubEntity,0xF2E69C7E,0xBBEF,0x451D,0xAD,0x21,0x72,0x13,0xDC,0xC6,0xB6,0x75);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSubEntSolidFace,0xF78787DB,0xE97F,0x43AA,0xBC,0x54,0x9F,0x71,0x0F,0x6E,0xED,0xAB);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSubEntSolidEdge,0x17E62C7D,0xCE0A,0x4648,0xAF,0xA4,0x0D,0x82,0x48,0xA1,0x14,0x16);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadSubEntSolidVertex,0x65F876FF,0x703C,0x4A3C,0xB6,0x89,0xC2,0xBA,0x0A,0x70,0x33,0xDD);


MIDL_DEFINE_GUID(CLSID, CLSID_AcadWipeout,0xEA714E95,0x479A,0x4D3D,0xAF,0x11,0xDA,0x0C,0x11,0x69,0xF2,0x3E);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaLight,0x66020FD5,0x3B3F,0x46D8,0x9B,0xC3,0x61,0x7F,0xD1,0xBC,0x29,0x8F);


MIDL_DEFINE_GUID(CLSID, CLSID_OdaCamera,0x84D3D7C6,0xDC2F,0x4AFB,0xAB,0x63,0x50,0x14,0xF5,0x5E,0xE5,0xF2);

#undef MIDL_DEFINE_GUID

#ifdef __cplusplus
}
#endif



